Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.reports
Class ViewReport

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.reports.ViewReport

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, PaginationAware, ResultsListProvider, ReturnUrlAware

    public class ViewReport

extends BambooActionSupport
implements PaginationAware

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewReport()`

Method Summary
`String` | `doGenerate()`
`String` | `doView()`
`Collection` | `getAvailableBuilds()`
`Map` | `getAvailableDateFilter()`
`Map` | `getAvailableGroupBy()`
`List` | `getAvailableReports()`
`List` | `getBuildIds()`
`String` | `getBuildNameFromKey(String key)`
`TimeTableXYDataset` | `getDataset()`
`String` | `getDateFilter()`
`String` | `getDateFrom()`
`String` | `getDateTo()`
`String` | `getGroupByPeriod()`
`int` | `getNumberOfProjects()`
`Pager` | `getPager()`
`PluginManager` | `getPluginManager()`
`String` | `getReportKey()`
`String` | `getResolvedAutoPeriod()`
`List` | `getResultsList()`
`ModuleDescriptor` | `getSelectedReport()`
`void` | `setBuildIds(List buildIds)`
`void` | `setDataset(TimeTableXYDataset dataset)`
`void` | `setDateFilter(String dateFilter)`
`void` | `setDateFrom(String dateFrom)`
`void` | `setDateTo(String dateTo)`
`void` | `setGroupByPeriod(String groupByPeriod)`
`void` | `setPager(Pager pager)`
`void` | `setPluginManager(PluginManager pluginManager)`
`void` | `setReportKey(String reportKey)`
`void` | `setResolvedAutoPeriod(String resolvedAutoPeriod)`
`void` | `setResultsList(List resultsList)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ViewReport

    public ViewReport()

Method Detail

### doView

    public String doView()
                  throws Exception

  Throws:
    `Exception`

### doGenerate

    public String doGenerate()

### getSelectedReport

    public ModuleDescriptor getSelectedReport()

### getAvailableBuilds

    public Collection getAvailableBuilds()

### getNumberOfProjects

    public int getNumberOfProjects()

### getAvailableReports

    public List getAvailableReports()

### getAvailableGroupBy

    public Map getAvailableGroupBy()

### getAvailableDateFilter

    public Map getAvailableDateFilter()

### getBuildNameFromKey

    public String getBuildNameFromKey(String key)

### getResolvedAutoPeriod

    public String getResolvedAutoPeriod()

### setResolvedAutoPeriod

    public void setResolvedAutoPeriod(String resolvedAutoPeriod)

### getBuildIds

    public List getBuildIds()

### setBuildIds

    public void setBuildIds(List buildIds)

### getReportKey

    public String getReportKey()

### setReportKey

    public void setReportKey(String reportKey)

### getGroupByPeriod

    public String getGroupByPeriod()

### setGroupByPeriod

    public void setGroupByPeriod(String groupByPeriod)

### getDateFilter

    public String getDateFilter()

### setDateFilter

    public void setDateFilter(String dateFilter)

### getDateFrom

    public String getDateFrom()

### setDateFrom

    public void setDateFrom(String dateFrom)

### getDateTo

    public String getDateTo()

### setDateTo

    public void setDateTo(String dateTo)

### getPluginManager

    public PluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(PluginManager pluginManager)

### getResultsList

    public List getResultsList()

  Specified by:
    `getResultsList` in interface `ResultsListProvider`

### setResultsList

    public void setResultsList(List resultsList)

### getDataset

    public TimeTableXYDataset getDataset()

### setDataset

    public void setDataset(TimeTableXYDataset dataset)

### getPager

    public Pager getPager()

  Specified by:
    `getPager` in interface `PaginationAware`

### setPager

    public void setPager(Pager pager)

  Specified by:
    `setPager` in interface `PaginationAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.